### Method

# FwupdPlugin Device set_equivalent_id

since: 0.6.1

#### Declaration [src]

    void
    fu_device_set_equivalent_id (
      FuDevice* self,
      const gchar* equivalent_id
    )

#### Description [src]

Sets any equivalent ID for a device.

Available since: 0.6.1

Sets property | `FwupdPlugin.Device:equivalent-id`

#### Parameters

`equivalent_id`

  Type: `const gchar*`

  A string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.